Bug 714899 - Review Request: tbo - Gnome comic creator
Summary: Review Request: tbo - Gnome comic creator
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-21 08:49 UTC by Nikos Roussos
Modified: 2012-08-29 08:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-29 08:48:46 UTC
Type: ---


Attachments (Terms of Use)

Description Nikos Roussos 2011-06-21 08:49:38 UTC
Spec URL: http://comzeradd.fedorapeople.org/specs/tbo.spec
SRPM URL: http://repos.fedorapeople.org/repos/comzeradd/autoverse/fedora-15/SRPMS/tbo-0.98-1.fc15.src.rpm
Description: TBO is an easy and fun program to draw comic and make your presentations funnier.

rpmlint tbo-0.98-1.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

I'm not yet a Fedora packager, so I'll need a sponsor.

Comment 1 Veeti Paananen 2011-06-21 12:42:11 UTC
Just some comments:

1. Your build requirements are incomplete (missing at least GTK+). Use mock (http://fedoraproject.org/wiki/Using_Mock_to_test_package_builds) to test builds in a sandbox where all the build dependencies must be listed correctly.

2. I think that you need to use the %find_lang macro (http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files) for the locale file. This will also futureproof the spec in case new translations are added to future versions.

3. Desktop files need to be installed using desktop-file-install or desktop-file-validate (http://fedoraproject.org/wiki/Packaging/Guidelines#desktop).

4. If you need a sponsor, you need to add "FE-NEEDSPONSOR" to the blocked bugs for this review request.

Comment 2 Yanchuan Nian 2011-06-21 13:46:44 UTC
1.as Veeti said, gtl2-devel and intltool are needed when building the package.
2.AUTHORS and ChangeLog should be included in %files.See here: https://fedoraproject.org/wiki/Packaging/Guidelines#Documentation

Comment 3 Yanchuan Nian 2011-06-21 13:51:02 UTC
sorry gtk2-devel is needed but not gtl2-devel, a mistake.

Comment 4 Nikos Roussos 2011-06-21 17:37:36 UTC
Thanx for the guidance. Spec and SRPM updated.

Comment 5 Veeti Paananen 2011-06-21 18:04:46 UTC
More comments:

1. Remove the --vendor option from desktop-file-install: according to the guidelines, it shouldn't be used: "For new packages, do not apply a vendor tag to desktop files."

2. You might want to fix the description text: "comic" should be "comics".

3. You should start updating the %changelog section every time you make changes and post the new spec & SRPM here so that reviewers and commenters can keep track of the changes you've made. (You also need to bump the Release number every time you do so.)

Comment 6 Yanchuan Nian 2011-06-21 23:44:28 UTC
As you have used %find_lang, it's best to remove #%lang(es) %{_datadir}/locale/es/LC_MESSAGES/%{name}.mo from the specfile.There are potentially-multiline-macros in this comment.https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Spec_file_pieces_explained

Comment 8 Yanchuan Nian 2011-06-22 14:18:24 UTC
some other comments
1.SRPM has been updated, but specfile is still original.
2.Both $RPM_BUILD_ROOT and %{buildroot} appear in the specfile.Pick one style and use it consistently.
https://fedoraproject.org/wiki/How_to_create_an_RPM_package#Macros
3.Please use spaces instead of tabs(line 31 and 32).Sorry I can't fand the references.

Comment 9 Nikos Roussos 2011-06-23 14:29:14 UTC
Thanx again. I updated both the SRPM and Spec file.

Spec URL: http://comzeradd.fedorapeople.org/specs/tbo.spec
SRPM URL: http://repos.fedorapeople.org/repos/comzeradd/autoverse/fedora-15/SRPMS/tbo-0.98-3.fc15.src.rpm

rpmlint tbo-0.98-3.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 10 Martin Gieseking 2011-07-18 09:03:19 UTC
Your package looks almost fine. If you plan to maintain it for EPEL < 5 too, please clean the buildroot at the beginning of %install. Otherwise, you can drop the BuildRoot field and the %clean section.

Have you already done some informal reviews of other packager's submissions? This is usually required to show your (basic) understanding of the packaging guidelines, and to attract sponsors. ;)

Here are some further information:

http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
https://fedoraproject.org/wiki/Packaging:ReviewGuidelines

Comment 11 Nikos Roussos 2011-07-19 10:05:30 UTC
Thank you for pointing this out. Christoph has reviewed another package of mine (bug 716299) and also suggested that i do informal reviews to other packages.

Comment 12 Jason Tibbitts 2012-06-29 22:59:07 UTC
I'm looking through some of the older NEEDSPONSOR tickets and found this one.  Turns out that it shouldn't really be in that category since you're already sponsored.

I took a look at the spec and it seems clean, but the URLs that point to the upstream source and web site are both invalid.

Comment 13 Mario Blättermann 2012-07-29 11:15:49 UTC
You are not yet in the packagers group, as far as I can see. I will set the FE-NEEDSPONSOR blocker again.

Comment 14 Nikos Roussos 2012-07-30 08:25:27 UTC
I've been already in the packagers group :)

I'll update this package so we can have it on repos.

Comment 15 Mario Blättermann 2012-08-24 19:57:01 UTC
Any progress here? Once you provide up-to-date spec and srpm, I'll take the review.

Comment 16 Nikos Roussos 2012-08-29 08:48:46 UTC
I'm in touch with the upstream developer and it seems that the project is pretty dead (last commit 1 year ago) and there is no easy building tarball at the moment.

So.. I'm closing this bug. I'll monitor the project and I'll reopen it when I comes back to life.


Note You need to log in before you can comment on or make changes to this bug.